[gstreamermm] Move the generation scripts to the tools/gen_scripts directory.



commit b4961fe386aa43776581e63209028ab7f55844a1
Author: José Alburquerque <jaalburquerque gmail com>
Date:   Mon Jun 10 17:55:58 2013 -0400

    Move the generation scripts to the tools/gen_scripts directory.
    
        * tools/gen_scripts/generate_docs.sh:
        * tools/gen_scripts/generate_enums.sh:
        * tools/gen_scripts/generate_extra_defs.sh:
        * tools/gen_scripts/generate_methods.sh: Move these scripts from the
        gstreamer/src directory.  Also add and reorder missing directories.

 ChangeLog                                |   10 +++++++++
 gstreamer/src/generate-docs.sh           |   25 -----------------------
 gstreamer/src/generate-enums.sh          |   26 ------------------------
 gstreamer/src/generate-extra-defs.sh     |   11 ----------
 gstreamer/src/generate-methods.sh        |   25 -----------------------
 tools/gen_scripts/generate_docs.sh       |   26 ++++++++++++++++++++++++
 tools/gen_scripts/generate_enums.sh      |   28 ++++++++++++++++++++++++++
 tools/gen_scripts/generate_extra_defs.sh |   13 ++++++++++++
 tools/gen_scripts/generate_methods.sh    |   32 ++++++++++++++++++++++++++++++
 9 files changed, 109 insertions(+), 87 deletions(-)
---
diff --git a/ChangeLog b/ChangeLog
index 614dc91..8c4294f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,13 @@
+2013-06-10  José Alburquerque  <jaalburquerque gmail com>
+
+       Move the generation scripts to the tools/gen_scripts directory.
+
+       * tools/gen_scripts/generate_docs.sh:
+       * tools/gen_scripts/generate_enums.sh:
+       * tools/gen_scripts/generate_extra_defs.sh:
+       * tools/gen_scripts/generate_methods.sh: Move these scripts from the
+       gstreamer/src directory.  Also add and reorder missing directories.
+
 0.10.11:
 
 2012-09-19  José Alburquerque  <jaalburquerque gmail com>
diff --git a/tools/gen_scripts/generate_docs.sh b/tools/gen_scripts/generate_docs.sh
new file mode 100755
index 0000000..929fbc0
--- /dev/null
+++ b/tools/gen_scripts/generate_docs.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Note that JHBUILD_SOURCES should be defined to contain the path to the root
+# of the jhbuild sources.  Also this script assumes that it resides in the
+# tools/gen_scripts directory and the XML file will be placed in
+# gstreamer/src.
+
+if [ -z "$JHBUILD_SOURCES" ]; then
+  echo -e "JHBUILD_SOURCES must contain path to jhbuild sources."
+  exit 1;
+fi
+
+PREFIX="$JHBUILD_SOURCES"
+ROOT_DIR="$(dirname "$0")/../.."
+OUT_DIR="$ROOT_DIR/gstreamer/src"
+
+PARAMS="-s $PREFIX/gstreamer/gst/"
+
+for dir in "$PREFIX"/gstreamer/libs/gst/{base,check,controller,dataprotocol,\
+net} "$PREFIX"/gst-plugins-base/gst-libs/gst/{allocators,app,audio,cdda,fft,\
+floatcast,interfaces,netbuffer,pbutils,riff,rtp,rtsp,sdp,tag,video}; do
+  PARAMS="$PARAMS -s $dir"
+done
+
+DOCEXTRACT_TO_XML_PY="$JHBUILD_SOURCES/glibmm/tools/defs_gen/docextract_to_xml.py"
+$DOCEXTRACT_TO_XML_PY --no-since $PARAMS > "$OUT_DIR/gst_docs.xml"
diff --git a/tools/gen_scripts/generate_enums.sh b/tools/gen_scripts/generate_enums.sh
new file mode 100755
index 0000000..4588eda
--- /dev/null
+++ b/tools/gen_scripts/generate_enums.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# Note that JHBUILD_SOURCES should be defined to contain the path to the root
+# of the jhbuild sources.  Also this script assumes that it resides in the
+# tools/gen_scripts directory and the defs file will be placed in
+# gstreamer/src.
+
+if [ -z "$JHBUILD_SOURCES" ]; then
+  echo -e "JHBUILD_SOURCES must contain the path to the jhbuild sources."
+  exit 1;
+fi
+
+ROOT_DIR="$(dirname "$0")/../.."
+OUT_DIR="$ROOT_DIR/gstreamer/src"
+
+PREFIX="$JHBUILD_SOURCES/gstreamer"
+ENUM_PL="$JHBUILD_SOURCES/glibmm/tools/enum.pl"
+$ENUM_PL "$PREFIX"/gst/*.h "$PREFIX"/libs/gst/{base,check,controller,\
+dataprotocol,net}/*.h "$PREFIX"/plugins/elements/*.h > \
+"$OUT_DIR/gst_enums.defs"
+
+PREFIX="$JHBUILD_SOURCES/gst-plugins-base"
+$ENUM_PL "$PREFIX"/gst-libs/gst/{allocators,app,audio,cdda,fft,floatcast,\
+interfaces,netbuffer,pbutils,riff,rtp,rtsp,sdp,tag,video}/*.h \
+"$PREFIX"/gst/*/*.h "$PREFIX"/ext/*/*.h >> "$OUT_DIR/gst_enums.defs"
+
+#Patch generated file.
+patch $OUT_DIR/gst_enums.defs $OUT_DIR/gst_enums.defs.patch
diff --git a/tools/gen_scripts/generate_extra_defs.sh b/tools/gen_scripts/generate_extra_defs.sh
new file mode 100755
index 0000000..f73378d
--- /dev/null
+++ b/tools/gen_scripts/generate_extra_defs.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# Note that script assumes it resides in the tools/gen_scripts directory and
+# the defs file will be placed in gstreamer/src.
+
+ROOT_DIR="$(dirname "$0")/../.."
+GEN_DIR="$ROOT_DIR/tools/extra_defs_gen"
+OUT_DIR="$ROOT_DIR/gstreamer/src"
+
+"$GEN_DIR"/generate_defs_gst > "$OUT_DIR"/gst_signals.defs
+
+#Patch generated file.
+patch $OUT_DIR/gst_signals.defs $OUT_DIR/gst_signals.defs.patch
diff --git a/tools/gen_scripts/generate_methods.sh b/tools/gen_scripts/generate_methods.sh
new file mode 100755
index 0000000..81d7250
--- /dev/null
+++ b/tools/gen_scripts/generate_methods.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Note that JHBUILD_SOURCES should be defined to contain the path to the root
+# of the jhbuild sources.  Also this script assumes that it resides in the
+# tools/gen_script directory and the defs file will be placed in
+# gstreamer/src.
+
+if [ -z "$JHBUILD_SOURCES" -o ! -x "`which h2def.py`" ]; then
+  echo -e "JHBUILD_SOURCES must contain the path to the jhbuild sources."
+  exit 1;
+fi
+
+ROOT_DIR="$(dirname "$0")/../.."
+OUT_DIR="$ROOT_DIR/gstreamer/src"
+
+# Make bash remove empty pattern matches from the argument list because
+# h2def.py breaks if no *.h files are found in a directory.
+shopt -s nullglob
+
+H2DEF_PY="$JHBUILD_SOURCES/glibmm/tools/defs_gen/h2def.py"
+
+PREFIX="$JHBUILD_SOURCES/gstreamer"
+$H2DEF_PY "$PREFIX"/gst/*.h "$PREFIX"/libs/gst/{base,check,controller,\
+dataprotocol,net}/*.h > "$OUT_DIR/gst_methods.defs"
+
+PREFIX="$JHBUILD_SOURCES/gst-plugins-base"
+$H2DEF_PY  "$PREFIX"/gst-libs/gst/{allocators,app,audio,cdda,fft,floatcast,\
+interfaces,netbuffer,pbutils,riff,rtp,rtsp,sdp,tag,video}/*.h >> \
+"$OUT_DIR/gst_methods.defs"
+
+#Patch generated file.
+patch  $OUT_DIR/gst_methods.defs $OUT_DIR/gst_methods.defs.patch


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]